CONFIG +=			release \
					warn_on \
					qt \
					thread 

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		reportroadmapd
} else {
	TARGET =		reportroadmap
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui \
					xml

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets \
					printsupport

}

# DEPENDPATH +=		<relative path>/lib
# INCLUDEPATH +=	<relative path>/src
# LIBS+=			-L<relative path>/lib -l<library name>

SOURCES +=			../core/conversion.cpp \
					../core/messagebox.cpp \
					../core/xmlfile.cpp \
					src/data.cpp \
					src/datatypes.cpp \
					src/displaywidget.cpp \
					src/labelwidget.cpp \
					src/main.cpp \
					src/pagewidget.cpp \
					src/reindexdialog.cpp \
					src/reportheaderdialog.cpp \
					src/reportroadmap.cpp \
					src/settingswidget.cpp

HEADERS +=			../core/conversion.h \
					../core/messagebox.h \
					../core/xmlfile.h \
					src/data.h \
					src/datatypes.h \
					src/displaywidget.h \
					src/labelwidget.h \
					src/pagewidget.h \
					src/reindexdialog.h \
					src/reportheaderdialog.h \
					src/reportroadmap.h \
					src/settingswidget.h

RESOURCES +=		res/reportroadmap.qrc

macx{

ICON =				res/icons.icns
OBJECTIVE_SOURCES += ../core/nspool.mm
HEADERS += 			../core/nspool.mm
LIBS +=				-framework AppKit -framework Cocoa

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/reportroadmap
}
target.path =		$$PREFIX
target.files =		bin/reportroadmap
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/reportroadmap
}

win32 {
RC_FILE =			res/resource.rc
}
