/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2020  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#ifndef DATATYPESHEADERFILE
#define DATATYPESHEADERFILE

#include <QPointF>
#include <QString>
#include <QImage>
#include <vector>

namespace TBorderType
{
	const int							BORDER_TYPE_NONE		= 0x00000000;
	const int							BORDER_TYPE_SQUARE		= 0x00000001;
	const int							BORDER_TYPE_ELLIPSE		= 0x00000002;
	const int							BORDER_TYPE_TRIANGLE	= 0x00000004;
	const int							BORDER_TYPE_DIAMOND		= 0x00000008;
};

namespace TIncrementOverPageMethod
{
	const int							INCREMENT_1X			= 0x00000000;
	const int							INCREMENT_10X			= 0x00000001;
	const int							INCREMENT_100X			= 0x00000002;
	const int							INCREMENT_1000X			= 0x00000004;
};

namespace TReindexOption
{
	const int							OPTION_ALL_ITEMS		= 0x00000000;
	const int							OPTION_PAGE_ITEMS		= 0x00000001;
	const int							OPTION_SELECTED_ITEMS	= 0x00000002;
};

struct TDataItem
{	
	int									id;
	int									value;
	QString								text;
	int									border_type;
	QPointF								position;
	bool								is_selected;
};

struct TPageItem
{
	int									id;
	QImage								image;
	std::vector<TDataItem>				data_items;
};

namespace TDefaultColor
{
	const unsigned char					COLOR_LABEL_RED			= 0xfa;
	const unsigned char					COLOR_LABEL_GREEN		= 0x08;
	const unsigned char					COLOR_LABEL_BLUE		= 0x32;
};


#endif
