/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2020  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#ifndef REINDEXDIALOGHEADERFILE
#define REINDEXDIALOGHEADERFILE

#include <QDialog>

class QComboBox;
class QLineEdit;
class QPushButton;
class QRadioButton;

class TReindexDialog : public QDialog
{
Q_OBJECT

public:

// CREATORS
	TReindexDialog(const QWidget *parent=0, Qt::WindowFlags flags=0);
	~TReindexDialog(void);

// ACCESSORS
	int Reindex_Option(void) const;
	int Increment_Over_Page_Method(void) const;
	int Initial_Value(void) const;

// MANIPULATORS

signals:

private slots:

private:
	QComboBox							*d_page_increment_method_combo;
	QLineEdit							*d_first_item_value_edit;
	QPushButton							*d_apply_button;
	QRadioButton						*d_all_items_check;
	QRadioButton						*d_current_page_check;
	QRadioButton						*d_current_selected_check;

// NOT IMPLEMENTED
	TReindexDialog(const TReindexDialog&);
	TReindexDialog& operator=(const TReindexDialog&);
};

#endif
